## /random/

Random number status control commands.

## Sub-directories :

## Commands :

setDirectoryName [fileName]

  Define the directory name of the rndm status files.
  Directory must be creates before storing the files.

  Available Geant4 state(s) : PreInit Idle GeomClosed

  Parameters

  fileName | type s | Omittable : default value = ./ |

setSavingFlag [flag]

  The randomNumberStatus will be saved at :
  begining of run (currentRun.rndm) and begining of event (currentEvent.rndm)

  Available at all Geant4 states.

  Parameters

  flag | type b | Omittable : default value = 1 |

saveThisRun

  copy currentRun.rndm to runXXX.rndm

  Available Geant4 state(s) : Idle GeomClosed EventProc

saveThisEvent

  copy currentEvent.rndm to runXXXevtYYY.rndm

  Available Geant4 state(s) : EventProc

resetEngineFrom [fileName]

  Reset the status of the rndm engine from a file.
  See CLHEP manual for detail.
  The engine status must be stored beforehand.
  Directory of the status file should be set by /random/setDirectoryName.

  Available Geant4 state(s) : PreInit Idle GeomClosed

  Parameters

  fileName | type s | Omittable : default value = currentRun.rndm |